# Interface Schema

All Known Implementing Classes:
  `AbstractSchema`, `CombineSchema`

public interface Schema
A schema that can be used to validate an XML document. A single `Schema` object is safe for concurrent access by multiple threads.

Author:
  James Clark
See Also:
  - `SchemaReader`
  - `Validator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Validator`
  `createValidator(PropertyMap properties)`
  Creates a new `Validator` that can be used to validate XML documents with respect to this schema.
  `PropertyMap`
  `getProperties()`

- ## Method Details

  - ### createValidator

    Validator createValidator(PropertyMap properties)
    Creates a new `Validator` that can be used to validate XML documents with respect to this schema. The `PropertyMap` should contain a `ValidateProperty.ERROR_HANDLER` property, which will be used to report errors. If it does not, then an `ErrorHandler` will be used that ignores warnings and throws its argument on errors and fatal errors. Common properties are defined in `ValidateProperty`. Implementations may support additional properties.
    Parameters:
      `properties` - a `PropertyMap` specifying the properties of the `Validator` to be created
    Returns:
      a new `Validator` that can be used to validate an XML document with respect to this schema; never `null`
    See Also:
      - `ValidateProperty.ERROR_HANDLER`

  - ### getProperties

    PropertyMap getProperties()